Redmine - Feature #9358

Issue attachment permissions
2011-09-30 13:26 - Stanislav German-Evtushenko

Status: New

Priority: Normal

Assignee:

Category: Issues permissions

Target version:

Resolution:

Start date: 2011-09-30
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

It would be nice to have an ability to restrict viewing and removing attachments in issues. For example:

- Manager: add & view & remove attachments

- Developer: add & view attachments
- Tester: view attachments

Related issues:

Related to Redmine - Feature #21562: Add a permission to prevent user delete ... New

Is duplicate of Redmine - Feature #4362: Permissions on attachments New 2009-12-08
Has duplicate Redmine - Patch #24623: Implements CRUD permissions and restric... New

History

#1 - 2011-09-30 13:42 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Duplicate

Closed as duplicate of #4362.

#2 - 2011-09-30 13:54 - Stanislav German-Evtushenko

- Status changed from Closed to Reopened

Etienne, I'm not sure if #4362 is exactly about issues permissions.

#3 - 2015-09-25 04:19 - Ron Calibuso

any update on this?

this would be a great feature to have

#4 - 2015-10-24 09:34 - Toshi MARUYAMA
- Status changed from Reopened to New

- Resolution deleted (Duplicate)

#5 - 2016-01-05 05:44 - Go MAEDA

- Related to Feature #21562: Add a permission to prevent user delete issues attachments. added

#6 - 2016-09-15 09:50 - diguang xiao

+1

#7 - 2016-12-07 08:33 - marcin laskowski

+1

#8 - 2016-12-15 20:15 - Frederico Camara
Patch for Redmine 3.1, 3.2, 3.3 at #24623

#9 - 2016-12-15 20:47 - Mischa The Evil
https://www.redmine.org/issues/4362
https://www.redmine.org/issues/4362
https://www.redmine.org/issues/24623

- Has duplicate Patch #24623: Implements CRUD permissions and restrictions to issue attachments added
